Bug 1135450 - (CVE-2019-0976) VUL-1: CVE-2019-0976: mono-nuget: tampering vulnerability which could allow an authenticated attacker to modify contents of the intermediate build folder
(CVE-2019-0976)
VUL-1: CVE-2019-0976: mono-nuget: tampering vulnerability which could allow a...
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 42.3
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Dinar Valeev
Security Team bot
https://smash.suse.de/issue/233169/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-17 07:45 UTC by Robert Frohl
Modified: 2019-07-12 06:37 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-05-17 07:45:47 UTC
CVE-2019-0976

A tampering vulnerability exists in the NuGet Package Manager for Linux and Mac
that could allow an authenticated attacker to modify contents of the
intermediate build folder (by default “obj�?), aka 'NuGet Package Manager
Tampering Vulnerability'.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-0976
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-0976
https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-0976
Comment 1 Robert Frohl 2019-05-17 07:49:19 UTC
A bit unclear if the version shipped in openSUSE is affected(i.e. 2.8.*). Fixed version seems to be 5.0.2 [0].

[0] https://github.com/mono/linux-packaging-nuget/releases
Comment 2 Tomáš Chvátal 2019-07-11 11:42:03 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 3 Marcus Meissner 2019-07-12 06:37:22 UTC
osc dr openSUSE:Factory                            mono-nuget  -m "unmaintained"
714768